TransactedPollingMessageReceiver.MessageProcessorWorker (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.TransactedPollingMessageReceiver.MessageProcessorWorker class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport
Class TransactedPollingMessageReceiver.MessageProcessorWorker

    java.lang.Object
      org.mule.transport.TransactedPollingMessageReceiver.MessageProcessorWorker

All Implemented Interfaces:
  Runnable, javax.resource.spi.work.Work, TransactionCallback

Enclosing class:
  TransactedPollingMessageReceiver

    protected class TransactedPollingMessageReceiver.MessageProcessorWorker

extends Object
implements javax.resource.spi.work.Work, TransactionCallback

Constructor Summary
`TransactedPollingMessageReceiver.MessageProcessorWorker(TransactionTemplate tt, edu.emory.mathcs.backport.java.util.concurrent.CountDownLatch latch, Object message)`

Method Summary
`Object` | `doInTransaction()`
`void` | `release()`
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactedPollingMessageReceiver.MessageProcessorWorker

    public TransactedPollingMessageReceiver.MessageProcessorWorker(TransactionTemplate tt,
                                                                   edu.emory.mathcs.backport.java.util.concurrent.CountDownLatch latch,
                                                                   Object message)

Method Detail

### release

    public void release()

  Specified by:
    `release` in interface `javax.resource.spi.work.Work`

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### doInTransaction

    public Object doInTransaction()
                           throws Exception

  Specified by:
    `doInTransaction` in interface `TransactionCallback`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.